Add Watermark Image
POST
https://picnie.com/api/v1/add-watermark-imageAdd a watermark logo or image to another image, merging two images. Supports nine different positions for placement.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
project_id* | integer | The ID of the project. Create one using Picnie's dashboard if needed. Example: |
background_image_url* | string | URL of the background image. Example: |
front_image_url* | string | URL of the watermark image. Example: |
position* | string | Position of the watermark. Values: tl (Top Left), tc (Top Center), tr (Top Right), ml (Middle Left), mc (Middle Center), mr (Middle Right), bl (Bottom Left), bc (Bottom Center), br (Bottom Right). Example: |
image_max_width* | string | Maximum width of the output image. Example: |
image_max_height* | string | Maximum height of the output image. Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/add-watermark-image"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"project_id": 1,
"background_image_url": "https://picnie.com/data/raw_images/demo_bg1.jpg",
"front_image_url": "https://picnie.com/data/raw_images/creativity.png",
"position": "br",
"image_max_width": "800",
"image_max_height": "800"
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"url": "https://picnie.com/v1/data/wm_6059_230217110634.jpg"
}